Package org.eclipse.graphiti.internal.command

# Class ResizeShapeFeatureCommandWithContext

java.lang.Object
org.eclipse.graphiti.internal.command.FeatureCommand
org.eclipse.graphiti.internal.command.FeatureCommandWithContext
org.eclipse.graphiti.internal.command.ResizeShapeFeatureCommandWithContext

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`, `IFeatureProviderHolder`, `IDescription`, `ICommand`, `IReadOnlyProvider`

public class ResizeShapeFeatureCommandWithContext extends FeatureCommandWithContext
The Class ResizeShapeFeatureCommandWithContext.

## Constructor Summary

Constructors
Constructor
Description
`ResizeShapeFeatureCommandWithContext(IFeature feature, IResizeShapeContext context)`
The Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
Can execute.
`final boolean`
`execute()`
Execute.
`protected IResizeShapeFeature`
`getResizeShapeFeature()`
Gets the resize shape feature.

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommandWithContext

`canUndo, getContext, undo`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

## Constructor Details

### ResizeShapeFeatureCommandWithContext

public ResizeShapeFeatureCommandWithContext(IFeature feature, IResizeShapeContext context)
The Constructor.

Parameters:
  `feature` - the feature
  `context` - the context

## Method Details

### canExecute

public boolean canExecute()
Description copied from interface: `ICommand`
Can execute.

Returns:
  true, if successful

### execute

public final boolean execute()
Description copied from interface: `ICommand`
Execute.

Returns:
  true, if successful

### getResizeShapeFeature

protected IResizeShapeFeature getResizeShapeFeature()
Gets the resize shape feature.

Returns:
  the resize shape feature